http://models.lex.{region}.amazonaws.com/bots/{botName}/aliases/{aliasName}/channels/{name}<p>Returns information about the association between an Amazon Lex bot and a messaging platform.</p> <p>This operation requires permissions for the <code>lex:GetBotChannelAssociation</code> action.</p>
The name of the association between the bot and the channel. The name is case sensitive.
The name of the Amazon Lex bot.
An alias pointing to the specific version of the Amazon Lex bot to which this association is being made.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://models.lex.{region}.amazonaws.com/bots/{botName}/aliases/{aliasName}/channels/{name}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://models.lex.{region}.amazonaws.com/bots/{botName}/aliases/{aliasName}/channels/{name}<p>Returns information about the association between an Amazon Lex bot and a messaging platform.</p> <p>This operation requires permissions for the <code>lex:GetBotChannelAssociation</code> action.</p>
The name of the association between the bot and the channel. The name is case sensitive.
The name of the Amazon Lex bot.
An alias pointing to the specific version of the Amazon Lex bot to which this association is being made.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://models.lex.{region}.amazonaws.com/bots/{botName}/aliases/{aliasName}/channels/{name}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}